Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CIntranet.beans
Class User

    java.lang.Object
      org.esupportail.portal.channels.CIntranet.beans.User

public class User
extends java.lang.Object

User
Cette classe permet de manipuler les informations relatives à un utilisateur
(c)Copyright ESup-Portail 2004

Version:
  2.0
Author:
  Mathieu Larchet

Constructor Summary
`User()` Constructeur

Method Summary
`boolean` | `equals(java.lang.Object o)` Teste si deux utilisateurs sont identiques
`java.lang.String` | `getDisplayName()` Le nom courant
`java.lang.String` | `getLogin()` Le login
`void` | `setDisplayName(java.lang.String displayName)` Le nom courant
`void` | `setLogin(java.lang.String login)` Le login
`java.lang.String` | `toXMLString()` La représentation XML de cet utilisateur

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### User

    public User()

  Constructeur

Method Detail

### setLogin

    public void setLogin(java.lang.String login)

  Le login

  Parameters:
    `login` -

### getLogin

    public java.lang.String getLogin()

  Le login

  Returns:

### setDisplayName

    public void setDisplayName(java.lang.String displayName)

  Le nom courant

  Parameters:
    `displayName` -

### getDisplayName

    public java.lang.String getDisplayName()

  Le nom courant

  Returns:

### equals

    public boolean equals(java.lang.Object o)

  Teste si deux utilisateurs sont identiques

  Parameters:
    `o` - L'utilisateur à comparer
  Returns:
    boolean true si les login sont les mêmes, false sinon

### toXMLString

    public java.lang.String toXMLString()

  La représentation XML de cet utilisateur

  Returns:
    Le flux XML

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD